Clara-Backend
  1. Transaction
Clara-Backend
  • Clara-Backend
    • Get Started
    • Quickstart (Rest API)
    • Quickstart (MCP Server)
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • API Key
      • View
      • Reset
    • Transaction
      • View All
      • View
    • Task
      • View All
      • View
    • Agent
      • Supported Attachments
      • Analysis
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  • Flask Backend Boilerplate
    • Get Started
    • Quickstart
    • Auth
      • Register
      • Google OAuth
      • Login
      • Logout
      • Change Password
      • Send OTP
      • Activate
      • Enable 2FA
      • Disable 2FA
    • User
      • View
      • Update
    • Transaction
      • View All
        GET
      • View
        GET
    • Stripe
      • Rate
      • Portal
      • Buy
    • Misc
      • Health
      • Version
  1. Transaction

View

Prod Env
Prod Env
GET
/users/{user_id}/transactions/{transaction_id}
This endpoint lets a user view a specific transaction on Clara.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200Success
text/plain
🟠401Unauthorized
🟠403Forbidden
🟠404Resource Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET '/users/user_ac19b010fec5428a8ae131596731b7c8/transactions/transaction_52d462f898e54b3983c186567259b74a' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
  "data": {
    "created_at": "Thu, 27 Nov 2025 00:39:09 GMT",
    "description": "Admin updated credits from 0.0 to 10.0.",
    "id": "transaction_52d462f898e54b3983c186567259b74a",
    "type": "CREDIT",
    "updated_at": "Thu, 27 Nov 2025 00:39:09 GMT",
    "user_id": "user_31e827070dcf44198ec11a9112a9a572",
    "value_in_credits": 10.0,
    "value_in_fiat": 0.1
  },
  "message": "Transaction fetched successfully.",
  "status": "success"
}
Modified at 2025-12-10 10:18:35
Previous
View All
Next
Stripe
Built with